### Method

# Ide Buffer save_file_async

#### Declaration

    void
    ide_buffer_save_file_async (
      IdeBuffer* self,
      GFile* file,
      GCancellable* cancellable,
      IdeNotification** notif,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously saves the buffer contents to `file`.

If `file` is `NULL`, then the `IdeBuffer:file` property is used.

The buffer is marked as busy during the operation, and must not have further editing until the operation is complete.

`callback` is executed upon completion and should call `ide_buffer_save_file_finish()` to get the result of the operation.

Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `GFile` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`notif` | `IdeNotification`
| No description available.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.